<html xmlns:f="http://typo3.org/ns/TYPO3/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<head>
    <title>HonoraryForm: Form</title>
</head>
<f:layout name="Default"/>
<f:section name="main">
    <f:if condition="{error}!=1">
        <div>
            <f:then>
                <f:form action="send" method="post" name="honoraryform" id="honoraryform"
                        class="o-form c-honorary-form">
                    <header class="header">
                        <h3 class="o-form__section-headline">Aktivenformular</h3>
                    </header>
                    <!-- Formular Person Beginn -->
                    <section class="tx-drk-honoraryform-person">
                        <f:render partial="HonoraryForm/PersonData"
                                  arguments="{prefix_array: prefix_array, title_array: title_array, renderMandatory: 1}"/>
                    </section>
                    <!-- Formular Person Ende -->
                    <!-- Formular Attribute Beginn -->
                    <f:render partial="HonoraryForm/AttributeData"
                              arguments="{application_array: application_array}"/>
                    <!-- Formular Attribute End -->

                    <f:if condition="{privacy_url} != ''">
                        <f:render partial="HonoraryForm/Privacy" arguments="{privacy_url: privacy_url}"/>
                    </f:if>

                    <f:render partial="HonoraryForm/Submit"/>

                </f:form>
            </f:then>
            <f:else>
                <div class="min-content-width">
                <p>
                    <f:for each="{errorMessages}" key="error_key" as="error_value">
                        <strong>{error_key}:</strong> {error_value}
                    </f:for>
                </p>
                <p style="margin-top: 1em"><input type="button" class="button o-btn" value="Zurück" name="back_button"
                                                  onClick="javascript:history.back(1)"></p>
                </div>
            </f:else>
        </div>
    </f:if>

</f:section>

<f:comment>if debug, show it</f:comment>
<f:section name="debug">
        <pre>
            <f:for each="{debug}" key="debug_key" as="debug_value">
                <strong>{debug_key}:</strong> {debug_value}
            </f:for>
        </pre>
</f:section>
